/* Copyright Rupert Smith, 2005 to 2007, all rights reserved. */
package uk.co.thebadgerset.junit.extensions.util;

/**
 * Provides commonly used functions that aid testing.
 *
 * <p/><table id="crc"><capton>CRC Card</caption>
 * <tr><th> Responsibilities <th> Collaborations
 * <tr><td> Provide a short pause.
 * </table>
 *
 * @author Rupert Smith
 */
public class TestUtils
{
    /**
     * Injects a short pause. The pause may not complete its full length, if the thread is interrupted when waiting.
     * In most cases, this will not happen and this method is a vry adequate pause implementation, without the
     * need to handle interrupted exceptions.
     *
     * @param millis The length of the pause in milliseconds.
     */
    public static void pause(long millis)
    {
        try
        {
            Thread.sleep(millis);
        }
        catch (InterruptedException e)
        {
            // Clear the flag and ignore.
            Thread.interrupted();
        }
    }
}
